------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]全球万圣活动-噩梦456
--Creator:		翁清海
--Created:		2020/09/18
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>69

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(110, 118)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

-- hero:SetPos(111, 121)

local player1  = CppScriptMgr:AddPlayer(363, 110, 120, "Zombie")
local player2  = CppScriptMgr:AddPlayer(363, 102, 116, "Zombie")
local player3  = CppScriptMgr:AddPlayer(363, 100, 109, "Zombie")
local player4  = CppScriptMgr:AddPlayer(363, 102, 102, "Zombie")
local player5  = CppScriptMgr:AddPlayer(363, 110, 98, "Zombie")
local player6  = CppScriptMgr:AddPlayer(363, 117, 102, "Zombie")
local player7  = CppScriptMgr:AddPlayer(363, 119, 110, "Zombie")
local player8  = CppScriptMgr:AddPlayer(363, 117, 117, "Zombie")

CppScriptMgr:AddEffect("5fire", 110, 110)

CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("5fire", 110, 110)
player1:WalkTo(110, 118)
player2:WalkTo(110, 118)
player3:WalkTo(110, 118)
player4:WalkTo(110, 118)
player5:WalkTo(110, 118)
player6:WalkTo(110, 118)
player7:WalkTo(110, 118)
player8:WalkTo(110, 118)
player1:Say("Brains! Brains!",3000)
player2:Say("Brains! Brains!",3000)
player3:Say("Brains! Brains!",3000)
player4:Say("Brains! Brains!",3000)
player5:Say("Brains! Brains!",3000)
player6:Say("Brains! Brains!",3000)
player7:Say("Brains! Brains!",3000)
player8:Say("Brains! Brains!",3000)

CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:SetDarkScreen(4000)

CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("addexp01", 110, 118)

CppScriptMgr:WaitMilSec(3000)

